AskUserFailureDefaults (install4j API)
Description: declaration: package: com.install4j.api.beaninfo, class: AskUserFailureDefaults

# Class AskUserFailureDefaults

java.lang.Object
com.install4j.api.beaninfo.AskUserFailureDefaults

public class AskUserFailureDefaults extends Object
Configuration class to set the default selection values of the possible answers for the "Ask user" failure strategy when configuring actions in the install4j IDE.

See Also:
  - `FailureStrategy.ASK_USER`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AskUserFailureDefaults(boolean askRetry, boolean askQuit, boolean askIgnore)`
  Construct a configuration object for the default selections in the IDE.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isAskIgnore()`
  Returns if "Ask whether to ignore the failure" option should be selected by default.
  `boolean`
  `isAskQuit()`
  Returns if the "Ask whether to quit" option should be selected by default.
  `boolean`
  `isAskRetry()`
  Returns if "Ask whether to retry the action" option should be selected by default.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AskUserFailureDefaults

    public AskUserFailureDefaults(boolean askRetry, boolean askQuit, boolean askIgnore)
    Construct a configuration object for the default selections in the IDE.
    Parameters:
      `askRetry` - whether the "Ask whether to retry the action" option should be selected by default
      `askQuit` - whether the "Ask whether to quit" option should be selected by default
      `askIgnore` - whether the "Ask whether to ignore the failure" option should be selected by default

- ## Method Details

  - ### isAskRetry

    public boolean isAskRetry()
    Returns if "Ask whether to retry the action" option should be selected by default.
    Returns:
      `true` or `false`

  - ### isAskQuit

    public boolean isAskQuit()
    Returns if the "Ask whether to quit" option should be selected by default.
    Returns:
      `true` or `false`

  - ### isAskIgnore

    public boolean isAskIgnore()
    Returns if "Ask whether to ignore the failure" option should be selected by default.
    Returns:
      `true` or `false`